
Robotics Service Bus - Bug #703
Build environment gets leaked into binaries
11/08/2011 03:50 PM - J. Moringen

Status: Resolved Start date: 11/08/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: rsb-0.7
Description

    -  IDL load path contains entries added at build time
    -  Shared libraries which are only required at build time
        -  libssl

History
#1 - 11/09/2011 08:14 PM - J. Moringen
- Subject changed from IDL load path contains entries added at build time  to Build environment gets leaked into binaries
- Description updated

#2 - 11/29/2011 12:47 PM - J. Moringen

Once we have ASDF 2.019 we can replace the pre-order-path-modification hack with ASDF's around-compile mechanism.

#3 - 12/06/2011 06:28 PM - J. Moringen

Turns out, we can fix this directly rather simply.

#4 - 12/06/2011 06:34 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3157.
